@echo off
rem "Run as Administrator" starts in %windir%\system32
rem   -> set BatDir as current directory

rem echo CD=%CD%
rem echo %0 %1 %2 %3 %4 %5
for /F %%I in ("%0") do set BatDir=%%~dpI
rem echo BatDir=%BatDir%
cd /D "%BatDir%"
rem echo CD=%CD%

rem dpinst /S (silent) does not work with XP
set SilentOption=
for /F "usebackq delims==" %%i in (`ver`) do (set OSVersion=%%i)
rem echo OSVersion=%OSVersion%
echo  %OSVersion% | find "[Version 5." >NUL:
if %errorlevel% EQU 0  echo 5.x
if %errorlevel% NEQ 0  set SilentOption=/S
rem echo SilentOption=%SilentOption%
echo  %OSVersion% | find "[Version 6." >NUL:
if %errorlevel% EQU 0  echo 6.x

rem Add new instance of RniLonCl only, if no instance is running
set InstallRni=
for /F "usebackq delims==" %%i in (`REG QUERY HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\LonIpDrv\Enum /v Count`) do (set Count=%%i)
rem echo Count=%Count%
echo  %Count% | find "Count" >NUL:
if %errorlevel% EQU 0  echo Count exist
if %errorlevel% NEQ 0  echo Count not exist
if %errorlevel% NEQ 0  set InstallRni=1

echo  %Count% | find "0x0" >NUL:
if %errorlevel% EQU 0  echo 0x0 exist
if %errorlevel% EQU 0  set InstallRni=1

echo InstallRni=%InstallRni%
rem pause
certmgr.exe -add "Lvp\LvpWdm.sys" -n "Gesytec GmbH" -c -s -r localMachine trustedpublisher
rem certmgr.exe -add "Lvp\LvpWdm.sys" -n "Gesytec GmbH" -c -s -r localMachine root
rem pause
rem goto :EOF

rem pkgmgr
rem sysocmgr
rem echo on

"852 Server\Setup.exe" -s "852 Server\*.inf"
"EasyCheck\Setup.exe"  -s "EasyCheck\*.inf"
rem "Wldv32\Setup.exe"     -s "Wldv32\*.inf"
rem "RniLonSv\Setup.exe"   -s "RniLonSv\*.inf"

dpinst%PROCESSOR_ARCHITECTURE%.exe /c /path Lvp          /f /d /SW %SilentOption%
dpinst%PROCESSOR_ARCHITECTURE%.exe /c /path LvxLvu       /f /d /SW %SilentOption%
dpinst%PROCESSOR_ARCHITECTURE%.exe /c /path LpcLpp       /f /d /SW %SilentOption%
dpinst%PROCESSOR_ARCHITECTURE%.exe /c /path LonUsb       /f /d /SW %SilentOption%
rem dpinst%PROCESSOR_ARCHITECTURE%.exe /c /path RniLonCl     /f /d /SW %SilentOption%
dpinst%PROCESSOR_ARCHITECTURE%.exe /c /path RniLonCl.852 /f /d /SW %SilentOption%

rem pause
if "%InstallRni%" == "1"  RniLonCl.852\Fastinst.exe
